#include "stdafx.h"
#include <objbase.h>
#include <stdio.h>
#include <tchar.h>
#include <atlbase.h>
#include <stdio.h>
#include <time.h>
#include <io.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include "barcodecom.h"
#include <string>
using namespace std;
#include <conio.h>

string GetParentFolder()
{
	char out_path[1024] = {0};
	char *p;
	GetModuleFileName(NULL, out_path, sizeof(out_path));
	p = strrchr(out_path,'\\');
	p[0] = 0;
	return out_path;
}

std::string intToString(int i)
{
	CHAR szTemp[1024] = {0};
	sprintf(szTemp, "%d", i);	
    return szTemp;
}

void main()
{
	::CoInitialize(NULL);

	_BarcodeCom VeryPDFCom;
	try
	{
		VeryPDFCom.CreateDispatch("VeryPDF.BarcodeCom");
	}
	catch(COleDispatchException* pEx)
	{
		printf("Something is wrong...\n");
		return;
	}

	CString strReturn = "";
	int nFileIndex = 0;
	VeryPDFCom.EnableDebugLog(true);

	string strFolder = GetParentFolder();
	
    string strBarcode = "CODE39";
    string strOutFile = strFolder + "\\_type2_code39.pdf";
    string strCmd = "-$ XXXXXXXXXXXXXXXXXX -type2 code39 -textxalign center -textyoffset 20 -textcolor FF0000 -paper 1000x1000 \"" + strBarcode + "\" \"" + strOutFile + "\"";
    strReturn += VeryPDFCom.GenerateBarcode(strCmd.c_str());
    nFileIndex = nFileIndex + 1;

    strBarcode = "CODE39";
    strOutFile = strFolder + "\\_type2_code39.png";
    strCmd = "-$ XXXXXXXXXXXXXXXXXX -type2 code39 -textxalign center -textyoffset 20 -textcolor FF0000 -paper 1000x1000 \"" + strBarcode + "\" \"" + strOutFile + "\"";
    strReturn += VeryPDFCom.GenerateBarcode(strCmd.c_str());
    nFileIndex = nFileIndex + 1;

	string strBarcodeFile = strFolder + "\\barcode.png";
	strCmd = "-$ XXXXXXXXXXXXXXXXXX -decode \"" + strBarcodeFile + "\"";
	strReturn += VeryPDFCom.GenerateBarcode(strCmd.c_str());
	nFileIndex = nFileIndex + 1;

	printf("Message: %s\n", strReturn);
	printf("\nPress any key to continue...\n");
	_getch();
}